# Enum HaMode

java.lang.Object
java.lang.Enum<HaMode>
org.mariadb.jdbc.internal.util.constant.HaMode

All Implemented Interfaces:
  `Serializable, Comparable<HaMode>, java.lang.constant.Constable`

public enum HaMode extends Enum<HaMode>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AURORA`
`LOADBALANCE`
`NONE`
`REPLICATION`
`SEQUENTIAL`

## Method Summary

Modifier and Type
Method
Description
`static HaMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static HaMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AURORA

public static final HaMode AURORA

### REPLICATION

public static final HaMode REPLICATION

### SEQUENTIAL

public static final HaMode SEQUENTIAL

### LOADBALANCE

public static final HaMode LOADBALANCE

### NONE

public static final HaMode NONE

## Method Details

### values

public static HaMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static HaMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null